Forum Announcement

Welcome to the new CNET Forums! Please don't panic. You are not in the Twilight Zone, you are experiencing the new CNET forums platform! Please click here to read the details. Thanks!!

Android

Question

Google Play error: Package file invalid?

by NurseJen99 / August 12, 2013 2:11 PM PDT

Is anyone else having this issue? I have a Samsung Galaxy Express and this is my only issue but I think its a Google issue.

Discussion is locked
You are posting a reply to: Google Play error: Package file invalid?
The posting of advertisements, profanity, or personal attacks is prohibited. Please refer to our CNET Forums policies for details. All submitted content is subject to our Terms of Use.
Track this discussion and email me when there are updates

If you're asking for technical help, please be sure to include all your system info, including operating system, model number, and any other specifics related to the problem. Also please exercise your best judgment when posting in the forums--revealing personal information such as your e-mail address, telephone number, and address is not recommended.

You are reporting the following post: Google Play error: Package file invalid?
This post has been flagged and will be reviewed by our staff. Thank you for helping us maintain CNET's great community.
Sorry, there was a problem flagging this post. Please try again now or at a later time.
If you believe this post is offensive or violates the CNET Forums' Usage policies, you can report it below (this will not automatically remove the post). Once reported, our moderators will be notified and the post will be reviewed.
Collapse -
Clarification Request
Just elaborate a bit more....
by John_Farrel / August 20, 2013 9:47 PM PDT

Please specify whether you are having it for any specific application or all applications?? That means just specify a bit more about your trouble. As far as I know it usually occurs when any file is not completely downloaded.

Collapse -
package file invalid error
by edwan33 / October 25, 2014 6:25 PM PDT

I keep having the same error with most applications. Can't sign in to hangouts without updating my play store version, can't update Google play services because of the package file invalid error. The current version is 3.5.19 on my note 3 (SM-N900). I'm on the brink of removing play store and reinstalling it again though I'm not quite sure whether that's a good idea

All Answers

Popular Forums
icon
Computer Help 47,885 discussions
icon
Computer Newbies 10,322 discussions
icon
iPhones, iPods, & iPads 3,188 discussions
icon
Security 30,333 discussions
icon
TVs & Home Theaters 20,177 discussions
icon
HDTV Picture Setting 1,932 discussions
icon
Phones 15,713 discussions
icon
Windows 7 6,210 discussions
icon
Networking & Wireless 14,510 discussions

Tech Tip

Tired of your tricky Wi-Fi password?

Stop trying to memorize a complicated sequence of numbers and letters. Learn how to change the default password.